# ck-macros

Composable Scheme macros based on the CK abstract machine.

- **Version:**           0.1.0 (2016-02-06)
- **API Docs:**          http://api.call-cc.org/doc/ck-macros
- **License:**           Public Domain
- **Maintainer:**        John Croisant (john+chicken at croisant dot net)
- **Based on work by:**  Oleg Kiselyov

This library is based on the CK-macro system described in
"[Applicative syntax-rules: macros that compose better](http://okmij.org/ftp/Scheme/macros.html#ck-macros)"
by Oleg Kiselyov.
This library provides the core `ck` macro,
plus many useful (and some not-so-useful) predefined CK-macros.

This library is the source for the
[ck-macros egg for CHICKEN Scheme](http://wiki.call-cc.org/eggref/4/ck-macros),
but everything in
[ck-portable.scm](https://gitlab.com/jcroisant/ck-macros/blob/master/ck-portable.scm)
should work on any Scheme implementation of R5RS or later.

If you create a useful or interesting general-purpose CK-macro,
or an improvement to an existing CK-macro,
please contact the maintainer (John) so your contribution can be added to the library.
All source code (including contributions) is public domain.

Please be aware that all project participants are expected to abide by
the [Code of Conduct](CODE_OF_CONDUCT.md).
We are committed to making participation in this project a welcoming
and harassment-free experience.
